Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 4648)
@@ -2449,29 +2297,28 @@
           wall_flags_total_0(nzt+1,j,i) = IBSET( wall_flags_total_0(nzt+1,j,i), 23 )
 !
-!--       Set flags indicating that topography is close by in horizontal 
-!--       direction, i.e. flags that infold the topography. These will be used
-!--       to set advection flags for passive scalars, where due to large 
-!--       gradients near buildings stationary numerical oscillations can produce 
-!--       unrealistically high concentrations. This is only necessary if 
-!--       WS-scheme is applied for scalar advection. Note, these flags will be 
-!--       only used for passive scalars such as chemical species or aerosols.
+!--       Set flags indicating that topography is close by in horizontal direction, i.e. flags that
+!--       infold the topography. These will be used to set advection flags for passive scalars,
+!--       where due to large gradients near buildings stationary numerical oscillations can produce
+!--       unrealistically high concentrations. This is only necessary if WS-scheme is applied for
+!--       scalar advection. Note, these flags will be only used for passive scalars such as chemical
+!--       species or aerosols.
           IF ( scalar_advec == 'ws-scheme' )  THEN
              DO k = nzb, nzt
-                IF ( BTEST( wall_flags_total_0(k,j,i), 0 )  .AND. (                  &
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-1), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-2), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+1), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+2), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-1,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-2,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+1,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+2,i-3:i+3), 0 ) )  .OR.&
-                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+3,i-3:i+3), 0 ) )      &
-                                                            ) )                      &
+                IF ( BTEST( wall_flags_total_0(k,j,i), 0 )  .AND. (                                &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-1), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-2), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i-3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+1), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+2), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3:j+3,i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-1,i-3:i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-2,i-3:i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j-3,i-3:i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+1,i-3:i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+2,i-3:i+3), 0 ) )  .OR.              &
+                     ANY( .NOT. BTEST( wall_flags_total_0(k,j+3,i-3:i+3), 0 ) )                    &
+                                                                  )                                &
+                   )                                                                               &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 31 )
-                     
              ENDDO
           ENDIF
@@ -2480,9 +2327,9 @@
 !
 !-- Finally, set identification flags indicating natural terrain or buildings.
-!-- Natural terrain grid points. Information on the type of the surface is 
-!-- stored in bit 1 of 3D Integer array topo. However, this bit is only set 
-!-- when topography is read from file. In order to run the land-surface model
-!-- also without topography information, set bit 1 explicitely in this case.
-!-- 
+!-- Natural terrain grid points. Information on the type of the surface is stored in bit 1 of
+!-- 3D Integer array topo. However, this bit is only set when topography is read from file. In order
+!-- to run the land-surface model also without topography information, set bit 1 explicitely in this
+!-- case.
+!--
 !-- Natural terrain grid points
 !-- If no topography is initialized, the land-surface is at k = nzb.
@@ -2493,7 +2340,7 @@
           DO j = nys, nyn
              DO k = nzb, nzt+1
-!         
+!
 !--             Natural terrain grid point
-                IF ( BTEST( topo(k,j,i), 1 ) )                                 &
+                IF ( BTEST( topo(k,j,i), 1 ) )                                                     &
                    wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 5 )
              ENDDO
@@ -2506,5 +2353,5 @@
        DO j = nys, nyn
           DO k = nzb, nzt+1
-             IF ( BTEST( topo(k,j,i), 2 ) )                                    &
+             IF ( BTEST( topo(k,j,i), 2 ) )                                                        &
                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 6 )
           ENDDO
@@ -2516,12 +2363,12 @@
        DO j = nys, nyn
           DO k = nzb, nzt+1
-             IF ( BTEST( topo(k,j,i), 4 ) )                                    &
+             IF ( BTEST( topo(k,j,i), 4 ) )                                                        &
                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 4 )
           ENDDO
        ENDDO
     ENDDO
-    
+
     CALL exchange_horiz_int( wall_flags_static_0, nys, nyn, nxl, nxr, nzt, nbgp )
-    
+
     DO i = nxl, nxr
        DO j = nys, nyn
@@ -2535,14 +2382,14 @@
     CALL exchange_horiz_int( wall_flags_total_0, nys, nyn, nxl, nxr, nzt, nbgp )
 !
-!-- Set boundary conditions also for flags. Can be interpreted as Neumann
-!-- boundary conditions for topography. 
+!-- Set boundary conditions also for flags. Can be interpreted as Neumann boundary conditions for
+!-- topography.
     IF ( .NOT. bc_ns_cyc )  THEN
        IF ( nys == 0  )  THEN
-          DO  i = 1, nbgp     
+          DO  i = 1, nbgp
              wall_flags_total_0(:,nys-i,:)   = wall_flags_total_0(:,nys,:)
           ENDDO
        ENDIF
        IF ( nyn == ny )  THEN
-          DO  i = 1, nbgp  
+          DO  i = 1, nbgp
              wall_flags_total_0(:,nyn+i,:) = wall_flags_total_0(:,nyn,:)
           ENDDO
@@ -2551,16 +2398,16 @@
     IF ( .NOT. bc_lr_cyc )  THEN
        IF ( nxl == 0  )  THEN
-          DO  i = 1, nbgp   
+          DO  i = 1, nbgp
              wall_flags_total_0(:,:,nxl-i)   = wall_flags_total_0(:,:,nxl)
           ENDDO
        ENDIF
-       IF ( nxr == nx )  THEN 
-          DO  i = 1, nbgp   
-             wall_flags_total_0(:,:,nxr+i) = wall_flags_total_0(:,:,nxr)     
-          ENDDO
-       ENDIF      
+       IF ( nxr == nx )  THEN
+          DO  i = 1, nbgp
+             wall_flags_total_0(:,:,nxr+i) = wall_flags_total_0(:,:,nxr)
+          ENDDO
+       ENDIF
     ENDIF
 !
-!-- Pre-calculate topography top indices (former get_topography_top_index 
+!-- Pre-calculate topography top indices (former get_topography_top_index
 !-- function)
     ALLOCATE( topo_top_ind(nysg:nyng,nxlg:nxrg,0:4) )
@@ -2568,41 +2415,26 @@
 !-- Uppermost topography index on scalar grid
     ibit = 12
-    topo_top_ind(:,:,0) = MAXLOC(                                              &
-                                  MERGE( 1, 0,                                 &
-                                    BTEST( wall_flags_total_0(:,:,:), ibit )   &
-                                       ), DIM = 1                              &
-                                ) - 1 
-!
-!-- Uppermost topography index on u grid 
+    topo_top_ind(:,:,0) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_total_0(:,:,:), ibit ) ), DIM=1 ) &
+                          - 1
+!
+!-- Uppermost topography index on u grid
     ibit = 14
-    topo_top_ind(:,:,1) = MAXLOC(                                              &
-                                  MERGE( 1, 0,                                 &
-                                    BTEST( wall_flags_total_0(:,:,:), ibit )   &
-                                       ), DIM = 1                              &
-                                ) - 1 
-!
-!-- Uppermost topography index on v grid 
+    topo_top_ind(:,:,1) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_total_0(:,:,:), ibit ) ), DIM=1 ) &
+                          - 1
+!
+!-- Uppermost topography index on v grid
     ibit = 16
-    topo_top_ind(:,:,2) = MAXLOC(                                              &
-                                  MERGE( 1, 0,                                 &
-                                    BTEST( wall_flags_total_0(:,:,:), ibit )   &
-                                       ), DIM = 1                              &
-                                ) - 1 
+    topo_top_ind(:,:,2) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_total_0(:,:,:), ibit ) ), DIM=1 ) &
+                          - 1
 !
 !-- Uppermost topography index on w grid
     ibit = 18
-    topo_top_ind(:,:,3) = MAXLOC(                                              &
-                                  MERGE( 1, 0,                                 &
-                                    BTEST( wall_flags_total_0(:,:,:), ibit )   &
-                                       ), DIM = 1                              &
-                                ) - 1 
+    topo_top_ind(:,:,3) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_total_0(:,:,:), ibit ) ), DIM=1 ) &
+                          - 1
 !
 !-- Uppermost topography index on scalar outer grid
     ibit = 24
-    topo_top_ind(:,:,4) = MAXLOC(                                              &
-                                  MERGE( 1, 0,                                 &
-                                    BTEST( wall_flags_total_0(:,:,:), ibit )   &
-                                       ), DIM = 1                              &
-                                ) - 1
+    topo_top_ind(:,:,4) = MAXLOC( MERGE( 1, 0, BTEST( wall_flags_total_0(:,:,:), ibit ) ), DIM=1 ) &
+                          - 1
 
  END SUBROUTINE set_topo_flags
